> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Dose

> Update an existing dose record. Updating a dose will unsign it, requiring re-approval.



## OpenAPI

````yaml put /user/patient/doses/{dose_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/patient/doses/{dose_id}:
    put:
      tags:
        - provider
        - user
        - doses
      summary: Update Dose
      description: >-
        Update an existing dose record. Updating a dose will unsign it,
        requiring re-approval.
      operationId: update_dose_user_patient_doses__dose_id__put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: dose_id
          in: path
          required: true
          schema:
            type: string
            title: Dose Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DoseUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DoseSummary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DoseUpdate:
      properties:
        doseDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Dosedate
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
        sideEffects:
          anyOf:
            - type: string
            - type: 'null'
          title: Sideeffects
        administrationLocation:
          anyOf:
            - type: string
            - type: 'null'
          title: Administrationlocation
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
        quantity:
          anyOf:
            - type: number
            - type: 'null'
          title: Quantity
        frequency:
          anyOf:
            - type: string
            - type: 'null'
          title: Frequency
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
        lotNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Lotnumber
        stockId:
          anyOf:
            - type: string
            - type: 'null'
          title: Stockid
        noteId:
          anyOf:
            - type: string
            - type: 'null'
          title: Noteid
        signedOffProviderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Signedoffproviderid
        signedOffDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Signedoffdate
      type: object
      title: DoseUpdate
      description: Schema for updating an existing dose record.
    DoseSummary:
      properties:
        medicationId:
          type: string
          title: Medicationid
        patientId:
          type: string
          title: Patientid
        providerId:
          anyOf:
            - type: string
            - type: 'null'
          title: Providerid
        doseDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Dosedate
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
        sideEffects:
          anyOf:
            - type: string
            - type: 'null'
          title: Sideeffects
        administrationLocation:
          anyOf:
            - type: string
            - type: 'null'
          title: Administrationlocation
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
        quantity:
          type: number
          title: Quantity
          default: 1
        frequency:
          anyOf:
            - type: string
            - type: 'null'
          title: Frequency
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
        lotNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Lotnumber
        stockId:
          anyOf:
            - type: string
            - type: 'null'
          title: Stockid
        noteId:
          anyOf:
            - type: string
            - type: 'null'
          title: Noteid
        signedOffProviderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Signedoffproviderid
        signedOffDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Signedoffdate
        isArchived:
          type: boolean
          title: Isarchived
          default: false
        id:
          type: string
          title: Id
        createdDate:
          type: string
          format: date-time
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
        provider:
          anyOf:
            - $ref: '#/components/schemas/UserTiny'
            - type: 'null'
        signedOffProvider:
          anyOf:
            - $ref: '#/components/schemas/UserTiny'
            - type: 'null'
      type: object
      required:
        - medicationId
        - patientId
        - id
        - createdDate
      title: DoseSummary
      description: Schema for returning dose information with computed fields.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserTiny:
      properties:
        id:
          type: string
          title: Id
          description: The unique identifier for the user.
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
          description: The user's first name.
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
          description: The user's last name.
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
          description: The user's phone number.
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: The user's email address.
        type:
          $ref: '#/components/schemas/UserType'
          description: The type of user.
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
          description: The location of the user.
      type: object
      required:
        - id
        - type
      title: UserTiny
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserType:
      type: string
      enum:
        - PROVIDER
        - PATIENT
        - ASSISTANT
      title: UserType

````